$:.unshift(File.dirname(__FILE__))

require 'cat_services_pb'
require 'grpc'

module ContextioNext
  class Client
    attr_reader :stub
    def initialize(key:, cert:)
      @stub = create_stub(key, cert)
    end

    private
    def create_stub(key, cert)
      credentials = GRPC::Core::ChannelCredentials.new(
        File.read(File.dirname(__FILE__) + "/ca.pem"),
        File.read(key),
        File.read(cert)
      )

      CatService::Stub.new("grpc-sandbox.context.io:50051", credentials)
    end
  end
end
